1. Shipments
OrderMesh QA
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
        GET
      • Update details of a specific shipment by Shipment ID.
        PATCH
      • Create packages for a specific shipment.
        POST
      • Delete shipment with packages.
        DELETE
      • Get all shipments for an order by Order ID.
        GET
      • Create shipment for order, vendor, and order items.
        POST
      • Get shipment with packages for order and vendor.
        GET
      • Get shipment details by Order Item ID.
        GET
      • Update a specific shipment package.
        PATCH
      • Delete a specific shipment package.
        DELETE
      • Cancel shipment.
        PATCH
      • Unassign items to shipment.
        POST
      • Shipment resubmission to assigned facility.
        POST
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
        POST
      • Search shipments.
        GET
      • Reroute shipment.
        POST
      • Rejects a shipment.
        POST
      • Bulk reroute shipments.
        POST
      • Get shipment audit logs.
        GET
      • Get package audit logs.
        GET
      • Get message audit logs for shipment updates.
        GET
      • Assign Shipment.
        POST
  • Schemas
    • Notes
      • /v1/notes
      • /v1/notes
      • /v1/notes/{noteId}
      • /v1/notes/{id}
      • /v1/notes/{id}
      • /v1/notes/{id}/auditLogs
  1. Shipments

Update a specific shipment package.

PATCH
/v1/{shipmentId}/package/{packageId}
This endpoint allows you to update a specific shipment package with tracking information using the shipment ID and package ID.

Request

Path Params

Body Params
application/json

Examples

Responses

🟢204
Returns success when the package is updated.
This response does not have a body.
🟠400
🟠401
🟠403
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.qa.ordermesh.io/shipment/v1//package/' \
--header 'Content-Type: application/json' \
--data '{
    "carrierName": "Carrier test",
    "carrierMethodName": "Method test",
    "shippedDate": "2022-04-02T15:20:00",
    "fulfilledDate": "2022-04-02T13:05:00",
    "carrierTrackingNumber": "12321",
    "carrierLink": "https://www.tracking.asd/qwe123",
    "carrierAccount": true,
    "packageOrderItems": [
        {
            "orderItemId": "1",
            "quantity": 2
        },
        {
            "orderItemId": "2",
            "quantity": 1
        }
    ]
}'
Response Response Example
400 - Success
{
    "errorCode": "ValidationError",
    "requestId": "224b67bd-02e2-4b0c-9eef-2559e51d1866",
    "errors": [
        {
            "errorMessage": "'Title' must not be empty.",
            "propertyName": "'Title'",
            "attemptedValue": null
        }
    ]
}
Modified at 2026-09-10 16:05:49
Previous
Get shipment details by Order Item ID.
Next
Delete a specific shipment package.
Built with